## Index

### Classes

- AtomBinder

### Interfaces

- IWatchFunctionCollection
- IWatchableObject

### Type aliases

- WatchFunction

## Type aliases

### WatchFunction

WatchFunction: function

- Defined in core/AtomBinder.ts:3

#### Type declaration

- - (target: any, key: string, index?: number, item?: any): void

  - #### Parameters

    - ##### target: any

    - ##### key: string

    - ##### Optional index: number

    - ##### Optional item: any

    #### Returns void

Generated using TypeDoc